#ifndef __ENDIAN_HEADER_INCLUDED__
#define __ENDIAN_HEADER_INCLUDED__

/* swap endian */
static unsigned long SwapEndianLong(unsigned long Data)
{
	unsigned char A,B,C,D;

	A = (unsigned char)((Data>>24) & 0x0ff);
	B = (unsigned char)((Data>>16) & 0x0ff);
	C = (unsigned char)((Data>>8) & 0x0ff);
	D = (unsigned char)(Data & 0x0ff);

	return (unsigned long)(A | (B<<8) | (C<<16) | (D<<24));
}

static unsigned short SwapEndianWord(unsigned short Data)
{
	unsigned char A,B;

	A = (unsigned char)((Data>>8) & 0x0ff);
	B = (unsigned char)(Data & 0x0ff);
	
	return (unsigned short)((unsigned short)A | ((unsigned short)B<<8));
}

#endif